Debian Bug report logs - #515209
[uscan] Does not indicate that a mangling regex is invalid

version graph

Package: devscripts; Maintainer for devscripts is Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>; Source for devscripts is src:devscripts.

Reported by: Martín Ferrari <tincho@debian.org>

Date: Sat, 14 Feb 2009 19:54:01 UTC

Severity: minor

Found in version devscripts/2.10.45

Fixed in version devscripts/2.10.54

Done: adam@adam-barratt.org.uk (Adam D. Barratt)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, martin.ferrari@gmail.com, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#515209; Package devscripts. (Sat, 14 Feb 2009 19:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martín Ferrari <tincho@debian.org>:
New Bug report received and forwarded. Copy sent to martin.ferrari@gmail.com, Devscripts Devel Team <pkg-devscripts@teams.debian.net>. (Sat, 14 Feb 2009 19:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martín Ferrari <tincho@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: uscan: discrepancy with documentation on mungling
Date: Sat, 14 Feb 2009 17:53:04 -0200
Package: devscripts
Version: 2.10.45
Severity: minor

Hi, today I spotted a watchfile being reported as invalid on PET, while
uscan processed it fine. I think this behaviour is incompatible with
what is documented (and PET watchfile processor is based mostly on the
documentation), and I also think that the documented behaviour is saner.

This is the offending line:

opts=uversionmangle="s/^\d\.\d$/$&00/;s/^\d\.\d\d0$/$&0" \
http://search.cpan.org/dist/Term-Size/ \
..*/Term-Size-v?(\d[\d_.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

As you can see, the quotes were intended to be put before
'uversionmangle', and PET follows the documentation: the code is split
by semicolons and then executed. So it tries and fails to execute this
code:

"s/^\d\.\d$/$&00/;

The log shows it clearly:

Feb 14 19:43:32 fetchdata[17379]: Mangle option:
"s/^\d\.\d$/$&00/;s/^\d\.\d\d0$/$&0"
Feb 14 19:43:32 fetchdata[17379]: Executing '$mangled[-1] =~
"s/^\d\.\d$/$&00/'
Feb 14 19:43:32 fetchdata[17379]: Invalid watchfile: Can't find string
terminator '"' anywhere before EOF at (eval 117) line 1.

At the same time, uscan removes the quotes before the code, which I
understand is not documented behaviour.

-- Package-specific info:

--- /etc/devscripts.conf ---

--- ~/.devscripts ---
DEBSIGN_KEYID=575D0A76
DEBUILD_DPKG_BUILDPACKAGE_OPTS="-ICVS -I.svn"
DEBUILD_LINTIAN=yes
DEBUILD_LINDA=no
USCAN_VERBOSE=yes
DEBCHANGE_RELEASE_HEURISTIC=changelog

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages devscripts depends on:
ii  dpkg-dev                      1.14.24    Debian package development tools
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  perl                          5.10.0-19  Larry Wall's Practical Extraction 

Versions of packages devscripts recommends:
ii  at                 3.1.10.2              Delayed job execution and batch pr
ii  bsd-mailx [mailx]  8.1.2-0.20081101cvs-2 A simple mail user agent
ii  cvs                1:1.12.13-12          Concurrent Versions System
ii  dctrl-tools        2.13.1                Command-line tools to process Debi
ii  debian-keyring     2009.01.18            GnuPG (and obsolete PGP) keys of D
ii  debian-maintainers 1.52                  GPG keys of Debian maintainers
ii  dput               0.9.2.37              Debian package upload tool
ii  epiphany-gecko [ww 2.22.3-9              Intuitive GNOME web browser - Geck
ii  equivs             2.0.7-0.1             Circumvent Debian package dependen
ii  fakeroot           1.12.1                Gives a fake root environment
ii  git-core           1:1.5.6.5-2           fast, scalable, distributed revisi
ii  gnupg              1.4.9-3               GNU privacy guard - a free PGP rep
ii  iceweasel [www-bro 3.0.5-1               lightweight web browser based on M
ii  libauthen-sasl-per 2.12-1                Authen::SASL - SASL Authentication
ii  libcrypt-ssleay-pe 0.57-1+b1             Support for https protocol in LWP
ii  libparse-debcontro 2.005-2               Easy OO parsing of Debian control-
ii  libsoap-lite-perl  0.710.08-2            Client and server side SOAP implem
ii  libterm-size-perl  0.2-4+b1              Perl extension for retrieving term
ii  libtimedate-perl   1.1600-9              Time and date functions for Perl
ii  liburi-perl        1.37+dfsg-1           Manipulates and accesses URI strin
ii  libwww-perl        5.820-1               WWW client/server library for Perl
ii  libyaml-syck-perl  1.05-1                Fast, lightweight YAML loader and 
ii  lintian            2.2.0                 Debian package checker
ii  lsb-release        3.2-20                Linux Standard Base version report
ii  lynx-cur [www-brow 2.8.7dev12-2          Text-mode WWW Browser with NLS sup
ii  mailx              1:20081101-2          Transitional package for mailx ren
ii  man-db             2.5.2-4               on-line manual pager
ii  openssh-client [ss 1:5.1p1-5             secure shell client, an rlogin/rsh
ii  patch              2.5.9-5               Apply a diff file to an original
ii  patchutils         0.3.1-1               Utilities to work with patches
ii  strace             4.5.17+cvs080723-2    A system call tracer
ii  subversion         1.5.1dfsg1-2          Advanced version control system
ii  unzip              5.52-12               De-archiver for .zip files
ii  wdiff              0.5-18                Compares two files word by word
ii  wget               1.11.4-2              retrieves files from the web

Versions of packages devscripts suggests:
ii  build-essential               11.4       Informational list of build-essent
pn  cvs-buildpackage              <none>     (no description available)
pn  devscripts-el                 <none>     (no description available)
pn  gnuplot                       <none>     (no description available)
pn  libfile-desktopentry-perl     <none>     (no description available)
pn  libnet-smtp-ssl-perl          <none>     (no description available)
pn  mutt                          <none>     (no description available)
ii  svn-buildpackage              0.6.23     helper programs to maintain Debian

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#515209; Package devscripts. (Sat, 14 Feb 2009 20:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martín Ferrari <tincho@debian.org>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <pkg-devscripts@teams.debian.net>. (Sat, 14 Feb 2009 20:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 515209@bugs.debian.org (full text, mbox):

From: Martín Ferrari <tincho@debian.org>
To: 515209@bugs.debian.org
Cc: debian-perl <debian-perl@lists.debian.org>
Subject: Re: Bug#515209: uscan: discrepancy with documentation on mungling
Date: Sat, 14 Feb 2009 18:01:20 -0200
More joy, I've just discovered that the second regex is completely
invalid, and I don't understand what was uscan doing:

 opts=uversionmangle="s/^\d\.\d$/$&00/;s/^\d\.\d\d0$/$&0"

If you look closely, the last slash is missing!

On Sat, Feb 14, 2009 at 17:53, Martín Ferrari <tincho@debian.org> wrote:
> Package: devscripts
> Version: 2.10.45
> Severity: minor
>
> Hi, today I spotted a watchfile being reported as invalid on PET, while
> uscan processed it fine. I think this behaviour is incompatible with
> what is documented (and PET watchfile processor is based mostly on the
> documentation), and I also think that the documented behaviour is saner.
>
> This is the offending line:
>
> opts=uversionmangle="s/^\d\.\d$/$&00/;s/^\d\.\d\d0$/$&0" \
> http://search.cpan.org/dist/Term-Size/ \
> ..*/Term-Size-v?(\d[\d_.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)
>
> As you can see, the quotes were intended to be put before
> 'uversionmangle', and PET follows the documentation: the code is split
> by semicolons and then executed. So it tries and fails to execute this
> code:
>
> "s/^\d\.\d$/$&00/;
>
> The log shows it clearly:
>
> Feb 14 19:43:32 fetchdata[17379]: Mangle option:
> "s/^\d\.\d$/$&00/;s/^\d\.\d\d0$/$&0"
> Feb 14 19:43:32 fetchdata[17379]: Executing '$mangled[-1] =~
> "s/^\d\.\d$/$&00/'
> Feb 14 19:43:32 fetchdata[17379]: Invalid watchfile: Can't find string
> terminator '"' anywhere before EOF at (eval 117) line 1.
>
> At the same time, uscan removes the quotes before the code, which I
> understand is not documented behaviour.
>
> -- Package-specific info:
>
> --- /etc/devscripts.conf ---
>
> --- ~/.devscripts ---
> DEBSIGN_KEYID=575D0A76
> DEBUILD_DPKG_BUILDPACKAGE_OPTS="-ICVS -I.svn"
> DEBUILD_LINTIAN=yes
> DEBUILD_LINDA=no
> USCAN_VERBOSE=yes
> DEBCHANGE_RELEASE_HEURISTIC=changelog
>
> -- System Information:
> Debian Release: 5.0
>  APT prefers unstable
>  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.26-1-686-bigmem (SMP w/2 CPU cores)
> Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
>
> Versions of packages devscripts depends on:
> ii  dpkg-dev                      1.14.24    Debian package development tools
> ii  libc6                         2.7-18     GNU C Library: Shared libraries
> ii  perl                          5.10.0-19  Larry Wall's Practical Extraction
>
> Versions of packages devscripts recommends:
> ii  at                 3.1.10.2              Delayed job execution and batch pr
> ii  bsd-mailx [mailx]  8.1.2-0.20081101cvs-2 A simple mail user agent
> ii  cvs                1:1.12.13-12          Concurrent Versions System
> ii  dctrl-tools        2.13.1                Command-line tools to process Debi
> ii  debian-keyring     2009.01.18            GnuPG (and obsolete PGP) keys of D
> ii  debian-maintainers 1.52                  GPG keys of Debian maintainers
> ii  dput               0.9.2.37              Debian package upload tool
> ii  epiphany-gecko [ww 2.22.3-9              Intuitive GNOME web browser - Geck
> ii  equivs             2.0.7-0.1             Circumvent Debian package dependen
> ii  fakeroot           1.12.1                Gives a fake root environment
> ii  git-core           1:1.5.6.5-2           fast, scalable, distributed revisi
> ii  gnupg              1.4.9-3               GNU privacy guard - a free PGP rep
> ii  iceweasel [www-bro 3.0.5-1               lightweight web browser based on M
> ii  libauthen-sasl-per 2.12-1                Authen::SASL - SASL Authentication
> ii  libcrypt-ssleay-pe 0.57-1+b1             Support for https protocol in LWP
> ii  libparse-debcontro 2.005-2               Easy OO parsing of Debian control-
> ii  libsoap-lite-perl  0.710.08-2            Client and server side SOAP implem
> ii  libterm-size-perl  0.2-4+b1              Perl extension for retrieving term
> ii  libtimedate-perl   1.1600-9              Time and date functions for Perl
> ii  liburi-perl        1.37+dfsg-1           Manipulates and accesses URI strin
> ii  libwww-perl        5.820-1               WWW client/server library for Perl
> ii  libyaml-syck-perl  1.05-1                Fast, lightweight YAML loader and
> ii  lintian            2.2.0                 Debian package checker
> ii  lsb-release        3.2-20                Linux Standard Base version report
> ii  lynx-cur [www-brow 2.8.7dev12-2          Text-mode WWW Browser with NLS sup
> ii  mailx              1:20081101-2          Transitional package for mailx ren
> ii  man-db             2.5.2-4               on-line manual pager
> ii  openssh-client [ss 1:5.1p1-5             secure shell client, an rlogin/rsh
> ii  patch              2.5.9-5               Apply a diff file to an original
> ii  patchutils         0.3.1-1               Utilities to work with patches
> ii  strace             4.5.17+cvs080723-2    A system call tracer
> ii  subversion         1.5.1dfsg1-2          Advanced version control system
> ii  unzip              5.52-12               De-archiver for .zip files
> ii  wdiff              0.5-18                Compares two files word by word
> ii  wget               1.11.4-2              retrieves files from the web
>
> Versions of packages devscripts suggests:
> ii  build-essential               11.4       Informational list of build-essent
> pn  cvs-buildpackage              <none>     (no description available)
> pn  devscripts-el                 <none>     (no description available)
> pn  gnuplot                       <none>     (no description available)
> pn  libfile-desktopentry-perl     <none>     (no description available)
> pn  libnet-smtp-ssl-perl          <none>     (no description available)
> pn  mutt                          <none>     (no description available)
> ii  svn-buildpackage              0.6.23     helper programs to maintain Debian
>
> -- no debconf information
>
>
>



-- 
Martín Ferrari




Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#515209; Package devscripts. (Sat, 14 Feb 2009 20:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <pkg-devscripts@teams.debian.net>. (Sat, 14 Feb 2009 20:42:02 GMT) Full text and rfc822 format available.

Message #15 received at 515209@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Martín Ferrari <tincho@debian.org>, 515209@bugs.debian.org
Subject: Re: Bug#515209: uscan: discrepancy with documentation on mungling
Date: Sat, 14 Feb 2009 20:39:47 +0000
On Sat, 2009-02-14 at 17:53 -0200, Martín Ferrari wrote:
> Hi, today I spotted a watchfile being reported as invalid on PET, while
> uscan processed it fine. I think this behaviour is incompatible with
> what is documented (and PET watchfile processor is based mostly on the
> documentation), and I also think that the documented behaviour is saner.
[...]
> opts=uversionmangle="s/^\d\.\d$/$&00/;s/^\d\.\d\d0$/$&0" \
> http://search.cpan.org/dist/Term-Size/ \
> ..*/Term-Size-v?(\d[\d_.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

Out of interest, where did that package come from? The version of
libterm-size-perl in the archive (0.2-4) doesn't appear to contain any
mangling options in its watch file.

> As you can see, the quotes were intended to be put before
> 'uversionmangle', and PET follows the documentation: the code is split
> by semicolons and then executed. So it tries and fails to execute this
> code:
> 
> "s/^\d\.\d$/$&00/;

On Sat, 2009-02-14 at 18:01 -0200, Martín Ferrari wrote:
> More joy, I've just discovered that the second regex is completely
> invalid, and I don't understand what was uscan doing:
> 
>  opts=uversionmangle="s/^\d\.\d$/$&00/;s/^\d\.\d\d0$/$&0"
> 
> If you look closely, the last slash is missing!

uscan *is* following the documented behaviour, it's just not checking
for errors when applying the mangling.  A quick bit of debug printing
added to the code shows that the regex is being split by semicolons in
to the two portions you'd expect - "s/^\d\.\d$/$&00/ and s/^\d\.\d\d0
$/$&0".  The two portions are then being passed through Perl's eval() in
order to apply the mangling to the version string.

However, there's no check as to whether the eval threw errors or not.
I'm not sure whether they're being intentionally or accidentally ignored
as yet, but they are being ignored.  In the case of the sample watch
file you provided, afaics neither of the mangle options affects the
version number (currently 0.207), so the package is successfully
downloaded anyway.

I've been through the lintian lab on gluck and that contains only one
packages that has syntax broken in the way you describe, which I'll file
a bug about.  uscan does, however, apply the mangling as documented for
that package - i.e. the mangling the maintainer intended to apply fails
due to the eval() failing.

Regards,

Adam




Changed Bug title to `[uscan] Does not indicate that a mangling regex is invalid' from `uscan: discrepancy with documentation on mungling'. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 14 Feb 2009 20:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#515209; Package devscripts. (Sat, 14 Feb 2009 22:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martín Ferrari <tincho@debian.org>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <pkg-devscripts@teams.debian.net>. (Sat, 14 Feb 2009 22:33:02 GMT) Full text and rfc822 format available.

Message #22 received at 515209@bugs.debian.org (full text, mbox):

From: Martín Ferrari <tincho@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 515209@bugs.debian.org
Subject: Re: Bug#515209: uscan: discrepancy with documentation on mungling
Date: Sat, 14 Feb 2009 20:30:50 -0200
Hi Adam,

On Sat, Feb 14, 2009 at 18:39, Adam D. Barratt <adam@adam-barratt.org.uk> wrote:

>> opts=uversionmangle="s/^\d\.\d$/$&00/;s/^\d\.\d\d0$/$&0" \
>> http://search.cpan.org/dist/Term-Size/ \
>> ..*/Term-Size-v?(\d[\d_.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)
>
> Out of interest, where did that package come from? The version of
> libterm-size-perl in the archive (0.2-4) doesn't appear to contain any
> mangling options in its watch file.

It's from the SVN repo on alioth at
svn+ssh://svn.debian.org/svn/pkg-perl/trunk/libterm-size-perl

> uscan *is* following the documented behaviour, it's just not checking
> for errors when applying the mangling.  A quick bit of debug printing
> added to the code shows that the regex is being split by semicolons in
> to the two portions you'd expect - "s/^\d\.\d$/$&00/ and s/^\d\.\d\d0
> $/$&0".  The two portions are then being passed through Perl's eval() in
> order to apply the mangling to the version string.
>
> However, there's no check as to whether the eval threw errors or not.
> I'm not sure whether they're being intentionally or accidentally ignored
> as yet, but they are being ignored.  In the case of the sample watch
> file you provided, afaics neither of the mangle options affects the
> version number (currently 0.207), so the package is successfully
> downloaded anyway.
>
> I've been through the lintian lab on gluck and that contains only one
> packages that has syntax broken in the way you describe, which I'll file
> a bug about.  uscan does, however, apply the mangling as documented for
> that package - i.e. the mangling the maintainer intended to apply fails
> due to the eval() failing.

I see, so the only problem then is that it doesn't report the errors.
You could then interpret this bug report as a wishlist to at least
print a message with the eval error.

Thanks, Tincho.


-- 
Martín Ferrari




Reply sent to adam@adam-barratt.org.uk (Adam D. Barratt):
You have taken responsibility. (Wed, 02 Sep 2009 20:12:16 GMT) Full text and rfc822 format available.

Notification sent to Martín Ferrari <tincho@debian.org>:
Bug acknowledged by developer. (Wed, 02 Sep 2009 20:12:16 GMT) Full text and rfc822 format available.

Message #27 received at 515209-close@bugs.debian.org (full text, mbox):

From: adam@adam-barratt.org.uk (Adam D. Barratt)
To: 515209-close@bugs.debian.org
Subject: Bug#515209: fixed in devscripts 2.10.54
Date: Wed, 02 Sep 2009 19:47:07 +0000
Source: devscripts
Source-Version: 2.10.54

We believe that the bug you reported is fixed in the latest version of
devscripts, which is due to be installed in the Debian FTP archive:

devscripts_2.10.54.dsc
  to pool/main/d/devscripts/devscripts_2.10.54.dsc
devscripts_2.10.54.tar.gz
  to pool/main/d/devscripts/devscripts_2.10.54.tar.gz
devscripts_2.10.54_amd64.deb
  to pool/main/d/devscripts/devscripts_2.10.54_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 515209@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam D. Barratt <adam@adam-barratt.org.uk> (supplier of updated devscripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 Sep 2009 20:22:29 +0100
Source: devscripts
Binary: devscripts
Architecture: source amd64
Version: 2.10.54
Distribution: unstable
Urgency: high
Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
Changed-By: Adam D. Barratt <adam@adam-barratt.org.uk>
Description: 
 devscripts - scripts to make the life of a Debian Package maintainer easier
Closes: 487323 514504 515209 515885 517917 526068 529062 538191 539155 539688 539724 539923 541409 541698 541827 541846 542484
Changes: 
 devscripts (2.10.54) unstable; urgency=high
 .
   * Urgency "high" for security update
 .
   [ James Vega ]
   * debchange: Clarify the wording for the explanation of
     --force-save-on-release.  (Closes: #539155)
   * grep-excuses: Document that -w only works with a package name.
   * manpage-alert: Fix handling of commands which start with non-word
     characters.  Based on a patch from Ville Skyttä.
   * bts: Add support for the limit command.  (Closes: #541698)
   * tagpending: Use 'bts limit source ...' instead of 'bts package ...' and
     listing every binary package the source produces.  This will prevent
     tagpending emails from exceeding the 998 characters per line limit of
     email.
 .
   [ Adam D. Barratt ]
   * bts:
     + Make "tags NNNNNN =" operate correctly again.  (Closes: #539688)
     + Use >& rather than writing to filehandles under /dev/fd.
       (Closes: #517917)
   * cowpoke:
     + Update to new upstream version
       - Run with reduced privileges and only elevate them when needed to
         run cowbuilder.
       - Don't explicitly pass a buildd username unless it is set, this allows
         people to configure the remote username in their ssh config or
         similar.  (Closes: #538191)
       - Supply pbuilder with the --buildplace and --aptcache options to
         enable use with reduced privileges.
       - Relative paths are all relative to the BUILDD_USER's home directory
         now, not the incoming dir.
       - Add --dpkg-opts support for passing options on to dpkg.
       - Autoclean the apt-cache so it doesn't grow unbounded.
   * dcmd: Add filtering options for udebs.  (Closes: #541827)
   * debchange: Don't output spurious characters when extended Unicode
     characters are passed on the command line.  (Closes: #542484)
   * dget: Update the dpkg-source output matching to enable --build to work
     again.  (Closes: #541409)
   * uscan: Evaluate mangle rules without evaluating them directly as Perl
     code to avoid the possibility of remote code execution.  This is
     CVE-2009-2946.  As a side effect, (Closes: #515209)
   * Packaging changes: Add sensible-utils to Recommends.  Several scripts
     make use of sensible-editor and it has moved from debianutils so is
     no longer essential.  (Closes: #541846)
 .
   [ Patrick Schoenfeld ]
   * Add an example for githubredir.debian.net to the uscan manpage
     (Closes: #539923)
 .
   [ Christoph Berg ]
   * debdiff: New option --no-unpack-tarballs to skip unpacking tarballs
     contained in source packages.
 .
   [ Ryan Niebur ]
   * uscan: add --download-current-version option (Closes: #539724)
   * Add myself to Uploaders
   * debchange: add support for using --package with -i to change the
     source package name (Closes: #515885)
   * debcheckout: use bzr+ssh instead of sftp, thanks to Colin Watson for
     the patch (Closes: #526068)
   * debchange: remove NMU version when -i is ran without -n or auto nmu
     (Closes: 487323)
   * uscan: add support for repacking lzma compressed tarballs, thanks to
     Michal Čihař for the patch (Closes: #514504)
   * namecheck: use comments instead of pod blocks so that they don't get
     translated, thanks to Florentin Duneau for the patch (Closes:
     #529062)
Checksums-Sha1: 
 64cc54b2ea79b50b4bf7cff205337738445299d7 1399 devscripts_2.10.54.dsc
 3da8aa66439acec36e83930d579f874bd42909cb 675156 devscripts_2.10.54.tar.gz
 ab68cae3be81f2e1a5e34f4101ba0575519e4407 573046 devscripts_2.10.54_amd64.deb
Checksums-Sha256: 
 1fcf3078ed290c742c7892256dff34174ee970510c6fbc8279379897c1673c50 1399 devscripts_2.10.54.dsc
 94b9eab7b90fb5ed5a75689feb36c2b8d34a8de6b096e6feaf1a8a92a7085c01 675156 devscripts_2.10.54.tar.gz
 21e2b8ec6750a62cdb99c6e5989d4582bb26c9ea96415a8d46f9c118815f132d 573046 devscripts_2.10.54_amd64.deb
Files: 
 fa289f39f1a8b68e440134e849bb8e1e 1399 devel optional devscripts_2.10.54.dsc
 dd9c3fb5d39ee5cc9ba23b6a9990d40f 675156 devel optional devscripts_2.10.54.tar.gz
 b3ab32d8193dde019032dd9d216460c2 573046 devel optional devscripts_2.10.54_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqeyhoACgkQokcE1TReOoUqCACbB/P7grQsWF/MQ7GIs7xosBjw
wWYAn29lVrgF7/FsEy+pKoJ/nAbXaQ8x
=U02k
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Oct 2009 07:30:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:57:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.